var id;
$(document).ready(function(){
	
	var send_email=function (){
		//var wd=$("#loading").width();
//		var wd=$("#loading").attr("width");
//		alert(wd);
//		if(wd>=900)
//			clearInterval(id);
		
		var tid=$("#tid").val();
		
		var url="/m/ajax_send_email_task/"+tid;
		
		$.ajax({
			url:url,
			type: "post",
			cache: false,
			dataType: "json",
			data: {
				tid:tid
			},
			global: true,
			success: function(data){
				
				
				$("#loading").width(data.percent);
				
				$("#is_send_count").html(data.is_send_count);
				
				$("#percent").html(data.percent);
				
				$("#faild_count").html(data.faild_count);
				
				$("#error_email").html(data.error_email);
				
				if(data.is_over==1)
					send_email();
				else
					return false;
				
				
//				easyDialog.open({
//					  container : { content : '设置成功'},
//					  autoClose : 1500,
//					  overlay : false
//				});
				
				
				
			},
			error:function(err){
				console.log(err);
			}
			});
		
		
		//clearInterval(id);
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		//
	}
	
	//id=setInterval(send_email, 1000);
	
	send_email();
});

